## dde-session 2.0.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

project(dde-session LANGUAGES CXX C)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()
include(GNUInstallDirs)

set(QT_VERSION_MAJOR 6)
set(DTK_VERSION_MAJOR 6)

find_package(DtkBuildHelper REQUIRED)
find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Tools)

macro(install_symlink filepath wantsdir)
    file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/link/${wantsdir}/)
    execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ${CMAKE_INSTALL_PREFIX}/lib/systemd/user/${filepath} ${PROJECT_BINARY_DIR}/link/${wantsdir}/${filepath})
    install(FILES ${PROJECT_BINARY_DIR}/link/${wantsdir}/${filepath} DESTINATION lib/systemd/user/${wantsdir}/)
endmacro(install_symlink)

add_subdirectory("src")
add_subdirectory("systemd")
add_subdirectory("misc")
add_subdirectory("tools")

install(FILES dbus/org.deepin.dde.Session1.service
    DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/services/)

=== misc/CMakeLists.txt ===
configure_file(xsessions/deepin.desktop.in xsessions/deepin.desktop)

set(XSESSION
    ${CMAKE_CURRENT_SOURCE_DIR}/Xsession.d/00deepin-dde-env
    ${CMAKE_CURRENT_SOURCE_DIR}/Xsession.d/01deepin-profile
    ${CMAKE_CURRENT_SOURCE_DIR}/Xsession.d/97deepin-keyring-wb
)

set(PROFILE
    ${CMAKE_CURRENT_SOURCE_DIR}/profile.d/deepin-xdg-dir.sh
)

install(
    DIRECTORY
        ${CMAKE_CURRENT_BINARY_DIR}/xsessions
    DESTINATION
        ${CMAKE_INSTALL_DATADIR}
    PATTERN
        "*.in" EXCLUDE
)

install(FILES ${XSESSION} DESTINATION /etc/X11/Xsession.d/)
install(FILES ${PROFILE} DESTINATION /etc/profile.d)

file(GLOB DCONFIG_FILES "dconf/*.json")
dtk_add_config_meta_files(APPID org.deepin.dde.session FILES ${DCONFIG_FILES})

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set (CMAKE_CXX_STANDARD 11)

# qdbusxml2cpp-fix
file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/dbusinterface/)
set(QT_DBUS_INTERFACE_INCLUDE ${PROJECT_BINARY_DIR}/dbusinterface/)

macro(qt_add_dbus_interface_fix srcs xml class file)
  execute_process(COMMAND ${DTK_XML2CPP} -c ${class} -p ${PROJECT_BINARY_DIR}/dbusinterface/${file} ${PROJECT_SOURCE_DIR}/dbus/interface/${xml})
  list(APPEND ${srcs}
    ${PROJECT_BINARY_DIR}/dbusinterface/${file}.h
    ${PROJECT_BINARY_DIR}/dbusinterface/${file}.cpp
  )
endmacro(qt_add_dbus_interface_fix)

# qtdbusextended
set(DBUS_INCLUDE ${PROJECT_SOURCE_DIR}/dbus/)
list(APPEND DBUSEXTENDED_SOURCE
  ${PROJECT_SOURCE_DIR}/src/qtdbusextended/DBusExtended
  ${PROJECT_SOURCE_DIR}/src/qtdbusextended/dbusextended.h
  ${PROJECT_SOURCE_DIR}/src/qtdbusextended/DBusExtendedAbstractInterface
  ${PROJECT_SOURCE_DIR}/src/qtdbusextended/dbusextendedabstractinterface.h
  ${PROJECT_SOURCE_DIR}/src/qtdbusextended/dbusextendedpendingcallwatcher_p.h
  ${PROJECT_SOURCE_DIR}/src/qtdbusextended/dbusextendedabstractinterface.cpp
  ${PROJECT_SOURCE_DIR}/src/qtdbusextended/dbusextendedpendingcallwatcher.cpp
)

add_subdirectory("dde-session-ctl")
add_subdirectory("dde-session")

=== systemd/CMakeLists.txt ===
configure_file(dde-session-manager.service.in
               dde-session-manager.service
               @ONLY)
configure_file(dde-session-exit-task.service.in
               dde-session-exit-task.service
               @ONLY)
configure_file(dde-session-shutdown.service.in
               dde-session-shutdown.service
               @ONLY)

set(SERVICES
    dde-session-initialized.target
    ${CMAKE_CURRENT_BINARY_DIR}/dde-session-manager.service
    dde-session-pre.target
    dde-session-core.target
    ${CMAKE_CURRENT_BINARY_DIR}/dde-session-exit-task.service
    ${CMAKE_CURRENT_BINARY_DIR}/dde-session-shutdown.service
    dde-session-shutdown.target
    dde-session.target
)
install(FILES ${SERVICES} DESTINATION lib/systemd/user/)

install(DIRECTORY DESTINATION lib/systemd/user/dde-session-pre.target.wants/)
set(DDE_SESSION_PRE_WANTS
    dde-session-pre.target.wants/dde-session@x11.service
    dde-session-pre.target.wants/dde-quick-login@x11.service
)

# dde-session-core.target.wants - core desktop components
install(DIRECTORY DESTINATION lib/systemd/user/dde-session-core.target.wants/)
set(DDE_SESSION_CORE_WANTS
    dde-session-core.target.wants/dde-shell@DDE.service
    dde-session-core.target.wants/dde-shell-plugin@org.deepin.ds.desktop.service
)

# dde-session-initialized.target.wants - other desktop services
install(DIRECTORY DESTINATION lib/systemd/user/dde-session-initialized.target.wants/)
set(DDE_SESSION_INITIALIZED_WANTS
    dde-session-initialized.target.wants/dde-lock.service
    dde-session-initialized.target.wants/dde-polkit-agent.service
)

install(FILES ${DDE_SESSION_PRE_WANTS} DESTINATION lib/systemd/user/)
install(FILES ${DDE_SESSION_CORE_WANTS} DESTINATION lib/systemd/user/)
install(FILES ${DDE_SESSION_INITIALIZED_WANTS} DESTINATION lib/systemd/user/)
install_symlink(dde-session@x11.service dde-session-pre.target.wants)
install_symlink(dde-quick-login@x11.service dde-session-pre.target.wants)
install_symlink(dde-shell@DDE.service dde-session-core.target.wants)
install_symlink(dde-shell-plugin@org.deepin.ds.desktop.service dde-session-core.target.wants)
install_symlink(dde-lock.service dde-session-initialized.target.wants)
install_symlink(dde-polkit-agent.service dde-session-initialized.target.wants)

install(FILES ${DDE_SESSION_DAEMON_WANTS} DESTINATION lib/systemd/user/)
install(DIRECTORY dde-session-shutdown.target.d DESTINATION lib/systemd/user/)

=== tools/CMakeLists.txt ===
add_subdirectory("dde-keyring-checker")
add_subdirectory("dde-version-checker")
add_subdirectory("dde-xsettings-checker")
add_subdirectory("dde-quick-login")
add_subdirectory("dde-oom-score-adj")

=== tools/dde-oom-score-adj/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

set(BIN_NAME dde-oom-score-adj)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core DBus REQUIRED)
find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Core)
find_package(PkgConfig REQUIRED)
pkg_check_modules(CAPNG REQUIRED IMPORTED_TARGET libcap-ng)

add_executable(${BIN_NAME}
    main.cpp
    oomscoreadjuster.h
    oomscoreadjuster.cpp
)

target_link_libraries(${BIN_NAME}
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
    Dtk${DTK_VERSION_MAJOR}::Core
    PkgConfig::CAPNG
)

install(TARGETS ${BIN_NAME} DESTINATION bin)
install(FILES dde-oom-score-adj.desktop DESTINATION /etc/xdg/autostart/)

=== debian/changelog ===
dde-session (2.0.17) unstable; urgency=medium

  * fix: avoid error messages when service condition checks fail

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 05 Feb 2026 19:26:25 +0800

dde-session (2.0.16) unstable; urgency=medium

  * fix: resolve dconfig installation issue
  * fix: skip scale factor retrieval on Wayland temporarily

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 29 Jan 2026 20:23:00 +0800

dde-session (2.0.15) unstable; urgency=medium

  * chore: add dde-session-core.target dependency to shutdown sequence

 -- zhangkun <zhangkun2@uniontech.com>  Wed, 07 Jan 2026 10:00:06 +0800

dde-session (2.0.14) unstable; urgency=medium

  * fix: Avoid autostart service being executed twice

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Fri, 19 Dec 2025 14:24:23 +0800

dde-session (2.0.13) unstable; urgency=medium

  * feat: add OOM score adjustment tool for critical DDE services

 -- fuleyi <fuleyi@uniontech.com>  Fri, 19 Dec 2025 13:28:27 +0800

dde-session (2.0.12) unstable; urgency=medium

  * feat: 移除dde-login-reminder, 迁移到dde-session-ui中
  * chore: convert .reuse/dep5 to REUSE.toml
  * i18n: [Transifex] Updates for project Deepin Desktop Environment
    (#176)
  * fix(sessionmanager): adapt QString::arg usage for Qt 6.10.1

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 11 Dec 2025 20:30:48 +0800

dde-session (2.0.11) unstable; urgency=medium

  * [skip CI] i18n: Translate dde-login-reminder.ts in gl_ES
  * [skip CI] i18n: Translate dde-login-reminder.ts in zh_TW
  * [skip CI] i18n: Translate dde-login-reminder.ts in sl
  * [skip CI] i18n: Translate dde-login-reminder.ts in th
  * [skip CI] i18n: Translate dde-login-reminder.ts in zh_HK
  * [skip CI] i18n: Translate dde-login-reminder.ts in nl
  * [skip CI] i18n: Translate dde-login-reminder.ts in pa
  * [skip CI] i18n: Translate dde-login-reminder.ts in pl
  * [skip CI] i18n: Translate dde-login-reminder.ts in az
  * [skip CI] i18n: Translate dde-login-reminder.ts in tzm
  * [skip CI] i18n: Translate dde-login-reminder.ts in de
  * [skip CI] i18n: Translate dde-login-reminder.ts in en_GB
  * [skip CI] i18n: Translate dde-login-reminder.ts in da
  * [skip CI] i18n: Translate dde-login-reminder.ts in sk
  * [skip CI] i18n: Translate dde-login-reminder.ts in ug
  * [skip CI] i18n: Translate dde-login-reminder.ts in it
  * [skip CI] i18n: Translate dde-login-reminder.ts in bg
  * [skip CI] i18n: Translate dde-login-reminder.ts in ka
  * [skip CI] i18n: Translate dde-login-reminder.ts in pt
  * [skip CI] i18n: Translate dde-login-reminder.ts in lt
  * [skip CI] i18n: Translate dde-login-reminder.ts in pt_BR
  * [skip CI] i18n: Translate dde-login-reminder.ts in si
  * [skip CI] i18n: Translate dde-login-reminder.ts in ne
  * [skip CI] i18n: Translate dde-login-reminder.ts in et
  * [skip CI] i18n: Translate dde-login-reminder.ts in uk
  * [skip CI] i18n: Translate dde-login-reminder.ts in ja
  * [skip CI] i18n: Translate dde-login-reminder.ts in en_AU
  * [skip CI] i18n: Translate dde-login-reminder.ts in hu
  * [skip CI] i18n: Translate dde-login-reminder.ts in sr
  * [skip CI] i18n: Translate dde-login-reminder.ts in ca
  * [skip CI] i18n: Translate dde-login-reminder.ts in hr
  * [skip CI] i18n: Translate dde-login-reminder.ts in el
  * [skip CI] i18n: Translate dde-login-reminder.ts in ko
  * [skip CI] i18n: Translate dde-login-reminder.ts in vi
  * [skip CI] i18n: Translate dde-login-reminder.ts in es
  * [skip CI] i18n: Translate dde-login-reminder.ts in hi_IN
  * [skip CI] i18n: Translate dde-login-reminder.ts in ar
  * [skip CI] i18n: Translate dde-login-reminder.ts in ru
  * [skip CI] i18n: Translate dde-login-reminder.ts in kk
  * [skip CI] i18n: Translate dde-login-reminder.ts in en_US
  * [skip CI] i18n: Translate dde-login-reminder.ts in mn
  * [skip CI] i18n: Translate dde-login-reminder.ts in fr
  * [skip CI] i18n: Translate dde-login-reminder.ts in bo
  * [skip CI] i18n: Translate dde-login-reminder.ts in id
  * [skip CI] i18n: Translate dde-login-reminder.ts in tr
  * [skip CI] i18n: Translate dde-login-reminder.ts in cs
  * [skip CI] i18n: Translate dde-login-reminder.ts in fi
  * [skip CI] i18n: Translate dde-login-reminder.ts in ms
  * [skip CI] i18n: Translate dde-login-reminder.ts in fa
  * [skip CI] i18n: Translate dde-login-reminder.ts in ro
  * [skip CI] i18n: Translate dde-login-reminder.ts in sq
  * [skip CI] i18n: Translate dde-login-reminder.ts in kab
  * [skip CI] i18n: Translate dde-login-reminder.ts in zh_CN
  * chore: update REUSE license file patterns
  * feat: enhance login reminder with configurable settings

 -- fuleyi <fuleyi@uniontech.com>  Thu, 04 Dec 2025 19:12:07 +0800

dde-session (2.0.10) unstable; urgency=medium

  * feat: exec auto start service after quick-login unlocked
  * refactor: reorganize systemd target dependencies and introduce core
    target

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 27 Nov 2025 17:25:38 +0800

=== debian/control ===
Source: dde-session
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 cmake,
 debhelper-compat (= 11),
 libcap-ng-dev,
 libdtk6core-dev,
 libdtk6core-bin,
 libglib2.0-dev,
 libsecret-1-dev,
 libsystemd-dev,
 libx11-dev,
 libxcursor-dev,
 libxfixes-dev,
 pkg-config,
 qt6-base-dev,
Standards-Version: 4.1.3
Homepage: https://www.deepin.org

Package: dde-session
Architecture: any
Depends:
 jq,
 sed (>= 4),
 dde-daemon (>= 6.1.26),
 libdtkdata (>=5.7.18),
 libdtk6core (>=6.0.38),
 systemd,
 ${misc:Depends},
 ${shlibs:Depends},
Description: dde session module
  dde-session is used for launching DDE components systemd service project.
